### Method

# Meta Window get_mutter_hints

#### Declaration [src]

    const char*
    meta_window_get_mutter_hints (
      MetaWindow* window
    )

#### Description [src]

Gets the current value of the _MUTTER_HINTS property.

The purpose of the hints is to allow fine-tuning of the Window Manager and Compositor behaviour on per-window basis, and is intended primarily for hints that are plugin-specific.

The property is a list of colon-separated key=value pairs. The key names for any plugin-specific hints must be suitably namespaced to allow for shared use; ‘mutter-‘ key prefix is reserved for internal use, and must not be used by plugins.

Gets property | `Meta.Window:mutter-hints`

#### Return value

Type: `const char*`

The _MUTTER_HINTS string, or `NULL` if no hints are set.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.